package sample;

import javafx.application.Application;
import javafx.fxml.FXMLLoader;
import javafx.scene.Scene;
import javafx.scene.layout.StackPane;
import javafx.stage.Stage;

public class Main extends Application {

    @Override public void start(Stage stage) throws Exception{
        FXMLLoader loader     = new FXMLLoader(getClass().getResource("sample.fxml"));
        StackPane  pane       = loader.load();
        Controller controller = loader.getController();

        controller.gauge.setMinValue(-100);
        controller.gauge.setMaxValue(200);

        stage.setTitle("Medusa Test");

        stage.setScene(new Scene(pane, 300, 300));
        stage.show();
    }


    public static void main(String[] args) {
        launch(args);
    }
}
